# boost::numeric::ublas::matrix_move_manip< T > Class Template Reference

A move matrix index manipulator. More...

Inherits index_manipulator< matrix_move_manip< T > >.

List of all members.

## Public Member Functions
BOOST_UBLAS_INLINE | matrix_move_manip (T k, T l)
template<typename V , typename K >
BOOST_UBLAS_INLINE void | manip (V &k, K &l) const

## Detailed Description

### template<typename T>
class boost::numeric::ublas::matrix_move_manip< T >

When member function `manip` is called the manipulator's index will be added to the referenced' index.

See also:
  move(T i, T j)